Create Avura DNS Record
import requests
url = "https://platform.ankra.app/api/v1/org/avura/domains/{domain_id}/records"
payload = {
"name": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', content: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/avura/domains/{domain_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/avura/domains/{domain_id}/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>"
}
'{
"id": "<string>",
"domain_id": "<string>",
"domain_name": "<string>",
"zone_id": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"ttl": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Avura
Create Avura DNS Record
Creates a DNS record in a shared Avura domain and answers 201 with it. record_type is one of A, AAAA, CAA, CNAME, MX, NS, SRV or TXT; ttl is optional (60-604800 seconds). Requires an org admin.
POST
/
api
/
v1
/
org
/
avura
/
domains
/
{domain_id}
/
records
Create Avura DNS Record
import requests
url = "https://platform.ankra.app/api/v1/org/avura/domains/{domain_id}/records"
payload = {
"name": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', content: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/avura/domains/{domain_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/avura/domains/{domain_id}/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"content": "<string>"
}
'{
"id": "<string>",
"domain_id": "<string>",
"domain_name": "<string>",
"zone_id": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"ttl": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json